Bug 97767 - [PATCH] Some improvements over postgresql81-server
Summary: [PATCH] Some improvements over postgresql81-server
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Palle Girgensohn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-24 05:20 UTC by Xin LI
Modified: 2006-11-08 17:44 UTC (History)
1 user (show)

See Also:


Attachments
patch-postgresql81-server (15.81 KB, text/plain)
2006-05-24 05:20 UTC, Xin LI
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xin LI freebsd_committer 2006-05-24 05:20:11 UTC
	The attached patch fixes some issues involved in the
postgresql81-server port:

	- Make use of USE_RC_SUBR instead of doing the sed
	  work with our own one.  This makes it possible
	  to install new style rc.d scripts more properly.
	- Use the port infrastructure to do pkg-message
	  stuff.
	- Pet portlint 

	These are not urgent changes.  Similiar changes
may apply to previous versions of postgresql ports as
well.

	Maintainer cc'ed.
Comment 1 Xin LI freebsd_committer 2006-05-24 05:22:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->girgen@FreeBSD.org

Over to maintainer
Comment 2 Sam Lawrance freebsd_committer 2006-05-24 06:03:08 UTC
Responsible Changed
From-To: girgen@FreeBSD.org->girgen

Correct assignment.
Comment 3 Palle Girgensohn 2006-06-05 12:48:09 UTC
Sorry for the late sepsonse to this. It looks good, thanks for the complete 
patch.

Only reason to bump portrevision is really that the rc.d-script changed 
name, AFAICS. I have to check that rc.subr does handle ordering better than 
it used to for older FreeBSD releases (i.e. 4.x). Since PostgreSQL is vital 
to some other services, I had to back out changing the name from 
010.pgsql.sh to plain pgsql.sh a while back, since thing broke on FreeBSD 
4.x due to starting in a bad order upon reboot. Maybe this is fixed now, 
I'll have to check.

Anyway, I'd rather take this fix in with the next major upgrade, if that's 
OK with you? I'll also backport it to the other three supported versions of 
PostgreSQL.

Regards,
Palle
Comment 4 Xin LI 2006-06-06 06:00:32 UTC
Hi, Palle,

å¨ 2006-06-05ä¸ç 13:48 +0200ï¼Palle Girgensohnåéï¼
> Anyway, I'd rather take this fix in with the next major upgrade, if that's 
> OK with you? I'll also backport it to the other three supported versions of 
> PostgreSQL.


Yup, I'm perfectly fine if you would include these changes in the next
major upgrade.

Cheers,
-- 
Xin LI <delphij delphij net>    http://www.delphij.net/
Comment 5 dfilter service freebsd_committer 2006-11-08 17:08:06 UTC
girgen      2006-11-08 17:07:53 UTC

  FreeBSD ports repository

  Modified files:
    .                    UPDATING 
    databases/postgresql73-server Makefile distinfo 
                                  pkg-plist-server 
    databases/postgresql74-server Makefile distinfo 
                                  pkg-plist-server 
    databases/postgresql80-server Makefile distinfo 
                                  pkg-plist-server 
    databases/postgresql81-server Makefile distinfo 
                                  pkg-plist-server 
    databases/postgresql81-server/files 
                                        patch-src:backend:utils:misc:postgresql.conf.sample 
  Added files:
    databases/postgresql73-server/files pkg-message-client.in 
                                        pkg-message-contrib.in 
                                        pkg-message-plperl.in 
                                        pkg-message-plpython.in 
                                        pkg-message-pltcl.in 
                                        pkg-message-server.in 
                                        postgresql.in 
    databases/postgresql74-server/files pkg-message-client.in 
                                        pkg-message-contrib.in 
                                        pkg-message-plperl.in 
                                        pkg-message-plpython.in 
                                        pkg-message-pltcl.in 
                                        pkg-message-server.in 
                                        pkg-message-tcltk.in 
                                        postgresql.in 
    databases/postgresql80-server/files pkg-message-client.in 
                                        pkg-message-contrib.in 
                                        pkg-message-plperl.in 
                                        pkg-message-plpython.in 
                                        pkg-message-pltcl.in 
                                        pkg-message-server.in 
                                        postgresql.in 
    databases/postgresql81-server/files pkg-message-client.in 
                                        pkg-message-contrib.in 
                                        pkg-message-plperl.in 
                                        pkg-message-plpython.in 
                                        pkg-message-pltcl.in 
                                        pkg-message-server.in 
                                        postgresql.in 
  Removed files:
    databases/postgresql73-server pkg-message-client 
                                  pkg-message-contrib 
                                  pkg-message-plperl 
                                  pkg-message-plpython 
                                  pkg-message-pltcl 
                                  pkg-message-server 
    databases/postgresql73-server/files pgsql.sh.tmpl 
    databases/postgresql74-server pkg-message-client 
                                  pkg-message-contrib 
                                  pkg-message-plperl 
                                  pkg-message-plpython 
                                  pkg-message-pltcl 
                                  pkg-message-server 
                                  pkg-message-tcltk 
    databases/postgresql74-server/files pgsql.sh.tmpl 
    databases/postgresql80-server pkg-message-client 
                                  pkg-message-contrib 
                                  pkg-message-plperl 
                                  pkg-message-plpython 
                                  pkg-message-pltcl 
                                  pkg-message-server 
    databases/postgresql80-server/files pgsql.sh.tmpl 
    databases/postgresql81-server pkg-message-client 
                                  pkg-message-contrib 
                                  pkg-message-plperl 
                                  pkg-message-plpython 
                                  pkg-message-pltcl 
                                  pkg-message-server 
    databases/postgresql81-server/files pgsql.sh.tmpl 
  Log:
  Update PostgreSQL to latest versions: 8.1.5, 8.0.9, 7.4.14 and 7.3.16.
  
  Release notes:
  8.1.5  http://www.postgresql.org/docs/8.1/static/release.html#RELEASE-8-1-5
  8.0.9  http://www.postgresql.org/docs/8.0/static/release.html#RELEASE-8-0-9
  7.4.14 http://www.postgresql.org/docs/7.4/static/release.html#RELEASE-7-4-14
  7.3.16 http://www.postgresql.org/docs/7.3/static/release.html#RELEASE-7-3-16
  
  Change name of the rc script from '010.pgsql.sh' to 'postgresql'
  
  Add optional hierachy patch added for 7.4 and 8.1 ports.
  
  Chase heimdal libs update [reported by several]
  
  For 8.1+ the port enables autovacuum in ~pgsql/postgresql.conf when
  running initdb
  
  Cleanup the ports, moving pkg-message-* to files/pkg-message-*.in and
  files/pgsql.sh.tmpl to files/postgresql.in. [ports/97767]
  
  PR: ports/97767, submitted by delphij@FreeBSD.org
  
  Revision  Changes    Path
  1.423     +8 -1      ports/UPDATING
  1.145     +17 -23    ports/databases/postgresql73-server/Makefile
  1.44      +12 -12    ports/databases/postgresql73-server/distinfo
  1.20      +0 -59     ports/databases/postgresql73-server/files/pgsql.sh.tmpl (dead)
  1.1       +32 -0     ports/databases/postgresql73-server/files/pkg-message-client.in (new)
  1.1       +3 -0      ports/databases/postgresql73-server/files/pkg-message-contrib.in (new)
  1.1       +3 -0      ports/databases/postgresql73-server/files/pkg-message-plperl.in (new)
  1.1       +3 -0      ports/databases/postgresql73-server/files/pkg-message-plpython.in (new)
  1.1       +3 -0      ports/databases/postgresql73-server/files/pkg-message-pltcl.in (new)
  1.1       +63 -0     ports/databases/postgresql73-server/files/pkg-message-server.in (new)
  1.1       +59 -0     ports/databases/postgresql73-server/files/postgresql.in (new)
  1.2       +0 -32     ports/databases/postgresql73-server/pkg-message-client (dead)
  1.2       +0 -3      ports/databases/postgresql73-server/pkg-message-contrib (dead)
  1.2       +0 -3      ports/databases/postgresql73-server/pkg-message-plperl (dead)
  1.2       +0 -3      ports/databases/postgresql73-server/pkg-message-plpython (dead)
  1.2       +0 -3      ports/databases/postgresql73-server/pkg-message-pltcl (dead)
  1.3       +0 -51     ports/databases/postgresql73-server/pkg-message-server (dead)
  1.5       +0 -1      ports/databases/postgresql73-server/pkg-plist-server
  1.146     +27 -24    ports/databases/postgresql74-server/Makefile
  1.44      +15 -12    ports/databases/postgresql74-server/distinfo
  1.21      +0 -59     ports/databases/postgresql74-server/files/pgsql.sh.tmpl (dead)
  1.1       +32 -0     ports/databases/postgresql74-server/files/pkg-message-client.in (new)
  1.1       +3 -0      ports/databases/postgresql74-server/files/pkg-message-contrib.in (new)
  1.1       +3 -0      ports/databases/postgresql74-server/files/pkg-message-plperl.in (new)
  1.1       +3 -0      ports/databases/postgresql74-server/files/pkg-message-plpython.in (new)
  1.1       +3 -0      ports/databases/postgresql74-server/files/pkg-message-pltcl.in (new)
  1.1       +83 -0     ports/databases/postgresql74-server/files/pkg-message-server.in (new)
  1.1       +1 -0      ports/databases/postgresql74-server/files/pkg-message-tcltk.in (new)
  1.1       +59 -0     ports/databases/postgresql74-server/files/postgresql.in (new)
  1.2       +0 -32     ports/databases/postgresql74-server/pkg-message-client (dead)
  1.2       +0 -3      ports/databases/postgresql74-server/pkg-message-contrib (dead)
  1.2       +0 -3      ports/databases/postgresql74-server/pkg-message-plperl (dead)
  1.2       +0 -3      ports/databases/postgresql74-server/pkg-message-plpython (dead)
  1.2       +0 -3      ports/databases/postgresql74-server/pkg-message-pltcl (dead)
  1.3       +0 -71     ports/databases/postgresql74-server/pkg-message-server (dead)
  1.2       +0 -1      ports/databases/postgresql74-server/pkg-message-tcltk (dead)
  1.5       +0 -1      ports/databases/postgresql74-server/pkg-plist-server
  1.159     +23 -29    ports/databases/postgresql80-server/Makefile
  1.53      +12 -12    ports/databases/postgresql80-server/distinfo
  1.23      +0 -59     ports/databases/postgresql80-server/files/pgsql.sh.tmpl (dead)
  1.1       +32 -0     ports/databases/postgresql80-server/files/pkg-message-client.in (new)
  1.1       +3 -0      ports/databases/postgresql80-server/files/pkg-message-contrib.in (new)
  1.1       +3 -0      ports/databases/postgresql80-server/files/pkg-message-plperl.in (new)
  1.1       +3 -0      ports/databases/postgresql80-server/files/pkg-message-plpython.in (new)
  1.1       +3 -0      ports/databases/postgresql80-server/files/pkg-message-pltcl.in (new)
  1.1       +61 -0     ports/databases/postgresql80-server/files/pkg-message-server.in (new)
  1.1       +59 -0     ports/databases/postgresql80-server/files/postgresql.in (new)
  1.2       +0 -32     ports/databases/postgresql80-server/pkg-message-client (dead)
  1.2       +0 -3      ports/databases/postgresql80-server/pkg-message-contrib (dead)
  1.2       +0 -3      ports/databases/postgresql80-server/pkg-message-plperl (dead)
  1.2       +0 -3      ports/databases/postgresql80-server/pkg-message-plpython (dead)
  1.2       +0 -3      ports/databases/postgresql80-server/pkg-message-pltcl (dead)
  1.4       +0 -49     ports/databases/postgresql80-server/pkg-message-server (dead)
  1.7       +0 -1      ports/databases/postgresql80-server/pkg-plist-server
  1.160     +29 -35    ports/databases/postgresql81-server/Makefile
  1.51      +15 -12    ports/databases/postgresql81-server/distinfo
  1.4       +11 -2     ports/databases/postgresql81-server/files/patch-src:backend:utils:misc:postgresql.conf.sample
  1.23      +0 -59     ports/databases/postgresql81-server/files/pgsql.sh.tmpl (dead)
  1.1       +32 -0     ports/databases/postgresql81-server/files/pkg-message-client.in (new)
  1.1       +3 -0      ports/databases/postgresql81-server/files/pkg-message-contrib.in (new)
  1.1       +3 -0      ports/databases/postgresql81-server/files/pkg-message-plperl.in (new)
  1.1       +3 -0      ports/databases/postgresql81-server/files/pkg-message-plpython.in (new)
  1.1       +3 -0      ports/databases/postgresql81-server/files/pkg-message-pltcl.in (new)
  1.1       +64 -0     ports/databases/postgresql81-server/files/pkg-message-server.in (new)
  1.1       +59 -0     ports/databases/postgresql81-server/files/postgresql.in (new)
  1.2       +0 -32     ports/databases/postgresql81-server/pkg-message-client (dead)
  1.2       +0 -3      ports/databases/postgresql81-server/pkg-message-contrib (dead)
  1.2       +0 -3      ports/databases/postgresql81-server/pkg-message-plperl (dead)
  1.2       +0 -3      ports/databases/postgresql81-server/pkg-message-plpython (dead)
  1.2       +0 -3      ports/databases/postgresql81-server/pkg-message-pltcl (dead)
  1.4       +0 -49     ports/databases/postgresql81-server/pkg-message-server (dead)
  1.7       +0 -1      ports/databases/postgresql81-server/pkg-plist-server
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Palle Girgensohn freebsd_committer 2006-11-08 17:43:48 UTC
State Changed
From-To: open->closed

Comitted. Thanks!